com.corticon.rulesemf.ast

## Interface RelationalSubExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, IConditionValue, org.eclipse.emf.common.notify.Notifier

      public interface RelationalSubExpression
      extends IConditionValue

  A representation of the model object 'Relational Sub Expression'.

  The following features are supported:

  - `Relational Operator`
  - `Additive Expression`
  See Also:
    `AstPackage.getRelationalSubExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditiveExpression` | `getAdditiveExpression()` Returns the value of the 'Additive Expression' containment reference
    `RelationalOperator` | `getRelationalOperator()` Returns the value of the 'Relational Operator' containment reference
    `void` | `setAdditiveExpression(AdditiveExpression value)` Sets the value of the '`Additive Expression`' containment reference
    `void` | `setRelationalOperator(RelationalOperator value)` Sets the value of the '`Relational Operator`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRelationalOperator

          RelationalOperator getRelationalOperator()

      Returns the value of the 'Relational Operator' containment reference.

      If the meaning of the 'Relational Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Relational Operator' containment reference.
      See Also:
        `setRelationalOperator(RelationalOperator)`, `AstPackage.getRelationalSubExpression_RelationalOperator()`

    - #### setRelationalOperator

          void setRelationalOperator(RelationalOperator value)

      Sets the value of the '`Relational Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Relational Operator' containment reference.
      See Also:
        `getRelationalOperator()`

    - #### getAdditiveExpression

          AdditiveExpression getAdditiveExpression()

      Returns the value of the 'Additive Expression' containment reference.

      If the meaning of the 'Additive Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Additive Expression' containment reference.
      See Also:
        `setAdditiveExpression(AdditiveExpression)`, `AstPackage.getRelationalSubExpression_AdditiveExpression()`

    - #### setAdditiveExpression

          void setAdditiveExpression(AdditiveExpression value)

      Sets the value of the '`Additive Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Additive Expression' containment reference.
      See Also:
        `getAdditiveExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.